Subject: Re: Install-prefix when building should not be hardcoded

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Oct 2022 14:21:10 -0700

darkdragon <[email-masked]> writes:

> On Wed, Oct 5, 2022 at 9:34 PM Junio C Hamano <[email-masked]> wrote:
>>
>> Đoàn Trần Công Danh  <[email-masked]> writes:
>>
>> > On 2022-10-04 09:38:24+0200, darkdragon <[email-masked]> wrote:
>> >> Even though in Makefile, it is stated that git will figure out
>> >> gitexecdir at runtime based on the path to the executable, there are
>> >> many output files where $(prefix) will be hardcoded. Even git
>> >> --exec-path will print out $(compile_prefix)/libexec/git-core instead
>> >> of using run_prefix.
>> >
>> > I'm not sure about this part.
>>
>> Perhaps it is related to the use of RUNTIME_PREFIX (which I don't
>> use myself)?
>
> This seems to do the trick! Thanks a lot!

I guess somebody needs to send a patch to the Makefile to clarify
the comment that led us confused in this thread.  Volunteers?

Thanks.